Skip to main content
GET
/
v1
/
gateway-configs
JavaScript
import Runloop from '@runloop/api-client';

const client = new Runloop({
  bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const gatewayConfigView of client.gatewayConfigs.list()) {
  console.log(gatewayConfigView.id);
}
import os
from runloop_api_client import Runloop

client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
page = client.gateway_configs.list()
page = page.gateway_configs[0]
print(page.id)
curl --request GET \
--url https://api.runloop.ai/v1/gateway-configs \
--header 'Authorization: Bearer <token>'


{
  "gateway_configs": [
    {
      "id": "<string>",
      "name": "<string>",
      "endpoint": "<string>",
      "auth_mechanism": {
        "type": "<string>",
        "key": "<string>"
      },
      "create_time_ms": 123,
      "account_id": "<string>",
      "description": "<string>"
    }
  ],
  "has_more": true,
  "total_count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

name
string

Filter by name (partial match supported).

id
string

Filter by ID.

limit
integer<int32>

The limit of items to return. Default is 20. Max is 5000.

starting_after
string

Load the next page of data starting after the item with the given ID.

include_total_count
boolean

If true (default), includes total_count in the response. Set to false to skip the count query for better performance on large datasets.

Response

Successfully retrieved list of GatewayConfigs.

A paginated list of GatewayConfigs.

gateway_configs
object[]
required

The list of GatewayConfigs.

has_more
boolean
required

Whether there are more results available beyond this page.

total_count
integer<int32> | null

Total count of GatewayConfigs that match the query.